MsWrdTextInternal::Footnote Struct Reference

Internal: the footnote. More...

## Public Member Functions
| Footnote ()
| constructor

## Public Attributes
MWAWEntry | m_pos
| the footnote data
int | m_id
| the id
int | m_value
| a value ( 1, 4)
std::string | m_error
| the errors

## Friends
std::ostream & | operator<< (std::ostream &o, Footnote const &note)
| operator<<

## Detailed Description

Internal: the footnote.

## Constructor & Destructor Documentation

## ◆ Footnote()

MsWrdTextInternal::Footnote::Footnote | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Footnote const & | note )
| friend

operator<<

## Member Data Documentation

## ◆ m_error

std::string MsWrdTextInternal::Footnote::m_error

the errors

Referenced by Footnote(), and operator<<.

## ◆ m_id

int MsWrdTextInternal::Footnote::m_id

the id

Referenced by Footnote(), operator<<, and MsWrdText::readFootnotesPos().

## ◆ m_pos

MWAWEntry MsWrdTextInternal::Footnote::m_pos

the footnote data

Referenced by Footnote(), operator<<, and MsWrdText::readFootnotesPos().

## ◆ m_value

int MsWrdTextInternal::Footnote::m_value

a value ( 1, 4)

Referenced by Footnote(), operator<<, and MsWrdText::readFootnotesPos().

The documentation for this struct was generated from the following file:

- MsWrdText.cxx